drop table [SSIS_practiceJacek79].[dbo].[Customers]

use [SSIS_practiceJacek79]
CREATE TABLE [dbo].[Customers](
	[CustomerID]			 int  primary key  identity (1,1) NOT NULL,
	[Title]					 nvarchar (4)  NULL,
	[FirstName]				 nvarchar (30) NOT NULL,
	[MiddleName]			 nvarchar (20) NULL,
	[LastName]				 nvarchar (50) NOT NULL,
	[EmailAddress]			 nvarchar (100) NOT NULL,
	[Phone]					 nvarchar (20) NOT NULL
) 
Alter table [SSIS_practiceJacek79].[dbo].[Customers] with nocheck add constraint df_phone default 0000000000 for phone
go;


CREATE TABLE [dbo].[Customers_daily_count] (
NewCustomers		int				 not null  ,
DateT				datetime		 not null  ,
LogS				nvarchar(100)    not null  ,
Id					nvarchar(50)	 not null )
ALTER TABLE [dbo].[Customers_daily_count] ADD CONSTRAINT df_DateT DEFAULT ( GETDATE() )   FOR DateT	
ALTER TABLE [dbo].[Customers_daily_count] ADD CONSTRAINT df_LogS  DEFAULT (SYSTEM_USER)   FOR LogS
ALTER TABLE [dbo].[Customers_daily_count] ADD CONSTRAINT df_Id	  DEFAULT (NEWID () )     FOR Id	


--truncate table [SSIS_practiceJacek79].[dbo].[Customers]
select * from [SSIS_practiceJacek79].[dbo].[Customers]

--TRUNCATE TABLE [dbo].[Customers_daily_count]
SELECT * FROM [dbo].[Customers_daily_count]